org.apache.commons.math3.optim.nonlinear.vector

## Class Weight

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.vector.Weight

All Implemented Interfaces:
  OptimizationData

    public class Weight
    extends java.lang.Object
    implements OptimizationData

Weight matrix of the residuals between model and observations.
Immutable class.

Since:
  3.1
Version:
  $Id: Weight.java 1416643 2012-12-03 19:37:14Z tn $

### Field Summary

Fields
`private RealMatrix` `weightMatrix` Weight matrix.

### Constructor Summary

Constructors
Constructor and Description
`Weight(double[] weight)` Creates a diagonal weight matrix.
`Weight(RealMatrix weight)`

### Method Summary

Methods
`RealMatrix` `getWeight()` Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### weightMatrix

    private final RealMatrix weightMatrix

Weight matrix.

### Constructor Detail

#### Weight

    public Weight(double[] weight)

Creates a diagonal weight matrix.

Parameters:
  `weight` - List of the values of the diagonal.

#### Weight

    public Weight(RealMatrix weight)

Parameters:
  `weight` - Weight matrix.
Throws:
  `NonSquareMatrixException` - if the argument is not a square matrix.

### Method Detail

#### getWeight

    public RealMatrix getWeight()

Gets the initial guess.

Returns:
  the initial guess.